Bug 483776 - ISE clicking on clone errata
ISE clicking on clone errata
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
https://rlx-2-20.rhndev.redhat.com/rh...
: Regression
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-02-03 10:43 EST by wes hayutin
Modified: 2009-09-10 16:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:32:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-02-03 10:43:16 EST
Description of problem:

My setup was as follows.
1. clone base channel rhel 5 x86
2. clone base channel rhel 5 x86_64
3. click Errata -> clone errata


ISE

2009-02-03 10:34:36,130 [TP-Processor3] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[localhost].
[/rhn].[action] - Servlet.service() for servlet action threw exception
java.lang.NullPointerException
        at com.redhat.rhn.frontend.dto.ClonableErrataDto.getChannelMap(ClonableErrataDto.java:64)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:59)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:39)
        at java.lang.reflect.Method.invoke(Method.java:612)
        at org.apache.commons.el.ArraySuffix.evaluate(ArraySuffix.java:314)
        at org.apache.commons.el.ComplexValue.evaluate(ComplexValue.java:145)
        at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:264)
        at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:190)
        at org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate(PageContextImpl.java:929)
        at org.apache.jsp.WEB_002dINF.pages.errata.cloneerrata_jsp._jspx_meth_c_005fforEach_005f0(Unknown So
urce)
        at org.apache.jsp.WEB_002dINF.pages.errata.cloneerrata_jsp._jspx_meth_rhn_005fcolumn_005f4(Unknown S
ource)
        at org.apache.jsp.WEB_002dINF.pages.errata.cloneerrata_jsp._jspx_meth_rhn_005flistdisplay_005f0(Unkn
own Source)
        at org.apache.jsp.WEB_002dINF.pages.errata.cloneerrata_jsp._jspx_meth_rhn_005flist_005f0(Unknown Sou
rce)
        at org.apache.jsp.WEB_002dINF.pages.errata.cloneerrata_jsp._jspx_meth_html_005fform_005f0(Unknown So
urce)
        at org.apache.jsp.WEB_002dINF.pages.errata.cloneerrata_jsp._jspService(Unknown Source)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:98)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:691)
        at org.apache.catalina.core.ApplicationDispatcher.processRequest(ApplicationDispatcher.java:469)
        at org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:403)
        at org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:301)
        at org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1085)
        at org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:398)
        at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:241)
        at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:82)
        at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
        at org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:690)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:73)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
:
Comment 1 Justin Sherrill 2009-03-09 14:36:44 EDT
commit	684a160eb2d4ac3da019ad65ff5c7205cd33022a
tree	d50f77fe0f69cec1ca4ccf5bf4389033e280e7de	tree | snapshot
parent	42de36f0d3d5e91312137724707acac01d03b3a7	commit | diff
Comment 2 wes hayutin 2009-03-23 16:29:18 EDT
verified..

1. clone base channel rhel 5 x86
2. clone base channel rhel 5 x86_64
3. click Errata -> clone errata

looked at errata for x86 and x86_64
Comment 3 Brad Buckingham 2009-08-03 14:20:02 EDT
verified with 7/24 stage iso... moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 16:32:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.